al_draw_scaled_rotated_bitmap(3)

NAME

al_draw_scaled_rotated_bitmap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_draw_scaled_rotated_bitmap(ALLEGRO_BITMAP *bitmap,
       float cx, float cy, float dx, float dy, float xscale, float yscale,
       float angle, int flags)

DESCRIPTION

Like al_draw_rotated_bitmap(3), but can also scale the bitmap.

The point at cx/cy in the bitmap will be drawn at dx/dy and the bitmap is rotated and scaled around this point.

•   cx - center x

•   cy - center y

•   dx - destination x

•   dy - destination y

•   xscale - how much to scale on the x-axis (e.g. 2 for twice the size)

•   yscale - how much to scale on the y-axis

•   angle - angle by which to rotate (radians)

•   flags - same as for al_draw_bitmap(3)

See al_draw_bitmap(3) for a note on restrictions on which bitmaps can be drawn where.

SEE ALSO

al_draw_bitmap(3), al_draw_bitmap_region(3), al_draw_scaled_bitmap(3), al_draw_rotated_bitmap(3)